Subject: [Netslices] General Discussion on COMS

From: Liang GENG <[email-masked]>
Date: Thu, 12 Oct 2017 04:16:02 +0000

Hi all,

There are some interesting conversations among the COMS (Common Operation and Management on network Slicing, the narrowed working item under network slicing concept in IETF ) proponents which I think are worthy of a broader discussion. The purpose is also to response to questions asked by Benoit and many others, including the scope of COMS, relation to Orchestration (Heat etc.).

In summary, I list some of the the statements under discussion as follows:

  *   Information model is a starting point for COMS, it serves as the mapping function block between Service Delivery Model at NBI and the Network Configuration Model (technology-specific) at SBI.

  *   Based on the information model, COMS will also look at Operation, management, inter-work etc.of network slicing. However, COMS does not work on the actual orchestration. Instead, it provides required network-slice-level models for SDNO/NFVO etc to orchestrate accordingly.

  *   In response on the Openstack Heat topic. Heat serves as an orchestrator at the VIM level. It is regarded as one of the technology choices for NFVI resource orchestration. In COMS scope, Heat can get resource requirement information (through heat API or other approaches) from network slicing manager and initiate corresponding virtual resources. The user of COMS may also choose other approaches for NFVI orchestration - i.e. NFVO of ETSI MANO with non-Heat-aware VIMs.

  *   COMS looks at both conventional network and NFV domains. We also distinguish the connectivity resource in transport and the network resource in NFVI although they both relates to network links. Former one is mapped to SDN-ctrl/SDNO, the latter is mapped to NFVO. Other components such as Pre-defined VNFs, Bare VMs are also mapped to NFVO. Dedicated resource such as certain network servers (DNS, DHCP, NAT etc.), time/clock synchronization are mapped to other EMS or RMS systems.

I hope this can generate some further interesting discussions. Your views and comments are extremely appreciated.

Best wishes
Liang